Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/gcm.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/gcm.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/gcm.F90	(revision 5116)
@@ -167,13 +167,13 @@
   !      calend = 'earth_365d'
 
-  if (calend == 'earth_360d') then
+  if (calend == 'earth_360d') THEN
      CALL ioconf_calendar('360_day')
-     write(lunout,*)'CALENDRIER CHOISI: Terrestre a 360 jours/an'
-  else if (calend == 'earth_365d') then
+     WRITE(lunout,*)'CALENDRIER CHOISI: Terrestre a 360 jours/an'
+  else if (calend == 'earth_365d') THEN
      CALL ioconf_calendar('noleap')
-     write(lunout,*)'CALENDRIER CHOISI: Terrestre a 365 jours/an'
-  else if (calend == 'gregorian') then
+     WRITE(lunout,*)'CALENDRIER CHOISI: Terrestre a 365 jours/an'
+  else if (calend == 'gregorian') THEN
      CALL ioconf_calendar('gregorian')
-     write(lunout,*)'CALENDRIER CHOISI: Terrestre bissextile'
+     WRITE(lunout,*)'CALENDRIER CHOISI: Terrestre bissextile'
   else
      abort_message = 'Mauvais choix de calendrier'
@@ -203,12 +203,12 @@
 
   !  lecture du fichier start.nc
-  if (read_start) then
+  if (read_start) THEN
      ! we still need to run iniacademic to initialize some
      ! constants & fields, if we run the 'newtonian' or 'SW' cases:
-     if (iflag_phys/=1) then
+     if (iflag_phys/=1) THEN
         CALL iniacademic(vcov,ucov,teta,q,masse,ps,phis,time_0)
      endif
 
-     !        if (planet_type.eq."earth") then
+     !        if (planet_type.eq."earth") THEN
      ! Load an Earth-format start file
      CALL dynetat0("start.nc",vcov,ucov, &
@@ -216,9 +216,9 @@
      !        endif ! of if (planet_type.eq."earth")
 
-     !       write(73,*) 'ucov',ucov
-     !       write(74,*) 'vcov',vcov
-     !       write(75,*) 'teta',teta
-     !       write(76,*) 'ps',ps
-     !       write(77,*) 'q',q
+     !       WRITE(73,*) 'ucov',ucov
+     !       WRITE(74,*) 'vcov',vcov
+     !       WRITE(75,*) 'teta',teta
+     !       WRITE(76,*) 'ps',ps
+     !       WRITE(77,*) 'q',q
 
   endif ! of if (read_start)
@@ -228,5 +228,5 @@
   IF (prt_level > 9) WRITE(lunout,*) &
        'GCM: AVANT iniacademic AVANT AVANT AVANT AVANT'
-  if (.not.read_start) then
+  if (.not.read_start) THEN
      start_time=0.
      annee_ref=anneeref
@@ -260,8 +260,8 @@
   ! on remet le calendrier \`a zero si demande
 
-  IF (start_time /= starttime) then
+  IF (start_time /= starttime) THEN
      WRITE(lunout,*)' GCM: Attention l''heure de depart lue dans le' &
           ,' fichier restart ne correspond pas a celle lue dans le run.def'
-     IF (raz_date == 1) then
+     IF (raz_date == 1) THEN
         WRITE(lunout,*)'Je prends l''heure lue dans run.def'
         start_time = starttime
@@ -277,27 +277,27 @@
      itau_phy = 0
      time_0 = 0.
-     write(lunout,*) &
+     WRITE(lunout,*) &
           'GCM: On reinitialise a la date lue dans gcm.def'
   ELSE IF (annee_ref /= anneeref .or. day_ref /= dayref) THEN
-     write(lunout,*) &
+     WRITE(lunout,*) &
           'GCM: Attention les dates initiales lues dans le fichier'
-     write(lunout,*) &
+     WRITE(lunout,*) &
           ' restart ne correspondent pas a celles lues dans '
-     write(lunout,*)' gcm.def'
-     write(lunout,*)' annee_ref=',annee_ref," anneeref=",anneeref
-     write(lunout,*)' day_ref=',day_ref," dayref=",dayref
-     write(lunout,*)' Pas de remise a zero'
-  ENDIF
-
-  !      if (annee_ref .ne. anneeref .or. day_ref .ne. dayref) then
-  !        write(lunout,*)
+     WRITE(lunout,*)' gcm.def'
+     WRITE(lunout,*)' annee_ref=',annee_ref," anneeref=",anneeref
+     WRITE(lunout,*)' day_ref=',day_ref," dayref=",dayref
+     WRITE(lunout,*)' Pas de remise a zero'
+  ENDIF
+
+  !      if (annee_ref .ne. anneeref .or. day_ref .ne. dayref) THEN
+  !        WRITE(lunout,*)
   !     .  'GCM: Attention les dates initiales lues dans le fichier'
-  !        write(lunout,*)
+  !        WRITE(lunout,*)
   !     .  ' restart ne correspondent pas a celles lues dans '
-  !        write(lunout,*)' gcm.def'
-  !        write(lunout,*)' annee_ref=',annee_ref," anneeref=",anneeref
-  !        write(lunout,*)' day_ref=',day_ref," dayref=",dayref
-  !        if (raz_date .ne. 1) then
-  !          write(lunout,*)
+  !        WRITE(lunout,*)' gcm.def'
+  !        WRITE(lunout,*)' annee_ref=',annee_ref," anneeref=",anneeref
+  !        WRITE(lunout,*)' day_ref=',day_ref," dayref=",dayref
+  !        if (raz_date .ne. 1) THEN
+  !          WRITE(lunout,*)
   !     .    'GCM: On garde les dates du fichier restart'
   !        else
@@ -308,5 +308,5 @@
   !          itau_phy = 0
   !          time_0 = 0.
-  !          write(lunout,*)
+  !          WRITE(lunout,*)
   !     .   'GCM: On reinitialise a la date lue dans gcm.def'
   !        endif
@@ -323,13 +323,13 @@
   CALL ioconf_startdate(INT(jD_ref), jH_ref)
 
-  write(lunout,*)'DEBUG'
-  write(lunout,*)'annee_ref, mois, day_ref, heure, jD_ref'
-  write(lunout,*)annee_ref, mois, day_ref, heure, jD_ref
+  WRITE(lunout,*)'DEBUG'
+  WRITE(lunout,*)'annee_ref, mois, day_ref, heure, jD_ref'
+  WRITE(lunout,*)annee_ref, mois, day_ref, heure, jD_ref
   CALL ju2ymds(jD_ref+jH_ref,an, mois, jour, heure)
-  write(lunout,*)'jD_ref+jH_ref,an, mois, jour, heure'
-  write(lunout,*)jD_ref+jH_ref,an, mois, jour, heure
-
-
-  if (iflag_phys==1) then
+  WRITE(lunout,*)'jD_ref+jH_ref,an, mois, jour, heure'
+  WRITE(lunout,*)jD_ref+jH_ref,an, mois, jour, heure
+
+
+  if (iflag_phys==1) THEN
      ! these initialisations have already been done (via iniacademic)
      ! if running in SW or Newtonian mode
@@ -365,5 +365,5 @@
 
 
-  if (nday>=0) then
+  if (nday>=0) THEN
      day_end = day_ini + nday
   else
@@ -395,5 +395,5 @@
   ENDIF ! of IF ((iflag_phys==1).or.(iflag_phys>=100))
 
-  !      if (planet_type.eq."earth") then
+  !      if (planet_type.eq."earth") THEN
   ! Write an Earth-format restart file
 
@@ -404,5 +404,5 @@
 
   time_step = zdtvr
-  if (ok_dyn_ins) then
+  if (ok_dyn_ins) THEN
      ! initialize output file for instantaneous outputs
      ! t_ops = iecri * daysec ! do operations every t_ops
@@ -432,9 +432,9 @@
   !   ----------------------------------
 
-  !       write(78,*) 'ucov',ucov
-  !       write(78,*) 'vcov',vcov
-  !       write(78,*) 'teta',teta
-  !       write(78,*) 'ps',ps
-  !       write(78,*) 'q',q
+  !       WRITE(78,*) 'ucov',ucov
+  !       WRITE(78,*) 'vcov',vcov
+  !       WRITE(78,*) 'teta',teta
+  !       WRITE(78,*) 'ps',ps
+  !       WRITE(78,*) 'q',q
 
 
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/getparam.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/getparam.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/getparam.F90	(revision 5116)
@@ -46,7 +46,7 @@
     CALL getin(TARGET,ret_val)
 
-    write(out_eff,*) '######################################'
-    write(out_eff,*) '#### ',comment,' #####'
-    write(out_eff,*) TARGET,'=',ret_val
+    WRITE(out_eff,*) '######################################'
+    WRITE(out_eff,*) '#### ',comment,' #####'
+    WRITE(out_eff,*) TARGET,'=',ret_val
 
   END SUBROUTINE getparamr
@@ -69,8 +69,8 @@
     CALL getin(TARGET,ret_val)
 
-    write(out_eff,*) '######################################'
-    write(out_eff,*) '#### ',comment,' #####'
-    write(out_eff,*) comment
-    write(out_eff,*) TARGET,'=',ret_val
+    WRITE(out_eff,*) '######################################'
+    WRITE(out_eff,*) '#### ',comment,' #####'
+    WRITE(out_eff,*) comment
+    WRITE(out_eff,*) TARGET,'=',ret_val
 
   END SUBROUTINE getparami
@@ -93,7 +93,7 @@
     CALL getin(TARGET,ret_val)
 
-    write(out_eff,*) '######################################'
-    write(out_eff,*) '#### ',comment,' #####'
-    write(out_eff,*) TARGET,'=',ret_val
+    WRITE(out_eff,*) '######################################'
+    WRITE(out_eff,*) '#### ',comment,' #####'
+    WRITE(out_eff,*) TARGET,'=',ret_val
 
   END SUBROUTINE getparaml
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/groupe.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/groupe.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/groupe.F90	(revision 5116)
@@ -3,5 +3,5 @@
 SUBROUTINE groupe(pext, pbaru, pbarv, pbarum, pbarvm, wm)
 
-  use comconst_mod, only: ngroup
+  use comconst_mod, ONLY: ngroup
 
   IMPLICIT NONE
@@ -25,15 +25,15 @@
   ! parameter (ngroup=3)
 
-  real :: pbaru(iip1, jjp1, llm), pbarv(iip1, jjm, llm)
-  real :: pext(iip1, jjp1, llm)
+  REAL :: pbaru(iip1, jjp1, llm), pbarv(iip1, jjm, llm)
+  REAL :: pext(iip1, jjp1, llm)
 
-  real :: pbarum(iip1, jjp1, llm), pbarvm(iip1, jjm, llm)
-  real :: wm(iip1, jjp1, llm)
+  REAL :: pbarum(iip1, jjp1, llm), pbarvm(iip1, jjm, llm)
+  REAL :: wm(iip1, jjp1, llm)
 
-  real :: zconvm(iip1, jjp1, llm), zconvmm(iip1, jjp1, llm)
+  REAL :: zconvm(iip1, jjp1, llm), zconvmm(iip1, jjp1, llm)
 
-  real :: uu
+  REAL :: uu
 
-  integer :: i, j, l
+  INTEGER :: i, j, l
 
   logical :: firstcall, groupe_ok
@@ -43,11 +43,11 @@
   data groupe_ok/.TRUE./
 
-  if (iim==1) then
+  if (iim==1) THEN
     groupe_ok = .FALSE.
   endif
 
-  if (firstcall) then
-    if (groupe_ok) then
-      if(mod(iim, 2**ngroup)/=0) &
+  if (firstcall) THEN
+    if (groupe_ok) THEN
+      IF(mod(iim, 2**ngroup)/=0) &
               CALL abort_gcm('groupe', 'probleme du nombre de point', 1)
     endif
@@ -63,5 +63,5 @@
   CALL scopy(ijmllm, pbarv, 1, pbarvm, 1)
 
-  if (groupe_ok) then
+  if (groupe_ok) THEN
     CALL groupeun(jjp1, llm, zconvmm)
     CALL groupeun(jjm, llm, pbarvm)
